
Smart Proxy - Bug #15791

Intermittent DHCPServerMicrosoftTest failures on ruby 1.8.7

07/22/2016 09:53 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Tests   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/442

  

Description

Due to non-deterministic order of hash key iteration when assigning values to dhcp options.

Related issues:

Related to Smart Proxy - Bug #13575: Don't fail due to missing PXEClient DHCP... Closed 02/05/2016

Associated revisions

Revision bce15a5d - 07/25/2016 05:00 AM - Dmitri Dolguikh 

Fixes #15791 - no more intermittent test failures in ms dhcp test

History

#1 - 07/22/2016 09:56 AM - Anonymous

- Related to Bug #13575: Don't fail due to missing PXEClient DHCP opt on 2008R2 added

#2 - 07/22/2016 10:00 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/442 added

#3 - 07/25/2016 04:43 AM - Dominic Cleal

DHCPServerMicrosoftTest.test_should_raise_on_option_error

not all expectations were satisfied

unsatisfied expectations:

- expected exactly once, not yet invoked: 1.2.3.4.execute('scope 192.168.166.0 set reservedoptionvalue 192.168

.166.11 60 String \'\'', nil, true)

satisfied expectations:

- expected exactly once, invoked once: 1.2.3.4.execute('scope 192.168.166.0 set reservedoptionvalue 192.168.16

6.11 12 String \'test.example.com\'', nil, true)

- expected exactly once, invoked once: 1.2.3.4.execute('scope 192.168.166.0 add reservedip 192.168.166.11 0011

bbccddee test.example.com', 'Added DHCP reservation for test.example.com (192.168.166.11 / 00:11:bb:cc:dd:ee)'

)

- allowed any number of times, not yet invoked: 1.2.3.4.execute(regexp_matches(/\Ascope 192.168.216.0 Show Res

ervedOptionValue 192.168.216.25/), regexp_matches(/\AQueried .+ options/))

- allowed any number of times, not yet invoked: 1.2.3.4.execute('scope 192.168.205.0 Show OptionValue', 'Queri

ed 192.168.205.0 options')

- allowed any number of times, not yet invoked: 1.2.3.4.execute('scope 192.168.216.0 show client 1', 'Enumerat

ed hosts on 192.168.216.0')

- allowed any number of times, invoked once: 1.2.3.4.execute('show scope', 'Enumerated the scopes on 1.2.3.4')

 (Test::Unit::AssertionFailedError)

/var/lib/workspace/workspace/test_proxy_develop_pr_core/puppet/3.6.0/ruby/1.8.7/test/dhcp_ms_native/server_ms_

test.rb:262:in `test_should_raise_on_option_error'    

#4 - 07/25/2016 06:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

05/19/2024 1/2



Applied in changeset bce15a5de363f6ba41476e4b66ae4d680d50bfe9.

#5 - 07/25/2016 11:04 AM - Dominic Cleal

- translation missing: en.field_release set to 175

#6 - 07/10/2018 02:45 PM - Greg Sutcliffe

- Target version deleted (1.12.2)
